Last Comment Bug 385857 - multipart/form-data submission broken on 0.8
: multipart/form-data submission broken on 0.8
Status: RESOLVED FIXED
: fixed1.8.1.5
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: 1.8 Branch
: x86 All
: -- normal (vote)
: ---
Assigned To: aaronr
:
Mentors:
https://bugzilla.mozilla.org/attachme...
Depends on:
Blocks: 376307
  Show dependency treegraph
 
Reported: 2007-06-25 18:44 PDT by aaronr
Modified: 2016-07-15 14:46 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.21 KB, patch)
2007-06-25 18:44 PDT, aaronr
bugs: review+
doronr: review+
Details | Diff | Splinter Review
patch2 (3.01 KB, patch)
2007-06-27 16:05 PDT, aaronr
bugs: review+
Details | Diff | Splinter Review

Description aaronr 2007-06-25 18:44:46 PDT
Created attachment 269786 [details] [diff] [review]
patch

Looks like there is a bug on the 1.8 branch that prevents the patch that fixed multipart/form-data on the trunk from working on the branch.  When we go to set the nsXFormsAtoms::uploadFileProperty on the clone of the instance data node that originally contained it, it is failing to work correctly.  By that point we've already done the ImportNode, but not the AppendChild.  ImportNode should set up the owner document for the cloned node to be the submission document, but that doesn't seem to be the case since the owner document before appendchild and after are different.

So to work around this 1.8 bug we'll just set the property AFTER we've done the call to AppendChild.

Testcase: https://bugzilla.mozilla.org/attachment.cgi?id=247929
Comment 1 aaronr 2007-06-27 12:37:12 PDT
checked into trunk
Comment 2 aaronr 2007-06-27 16:03:13 PDT
Reopening bug.  I didn't move the statement high enough to fix uploads bound to attributes.
Comment 3 aaronr 2007-06-27 16:05:22 PDT
Created attachment 270088 [details] [diff] [review]
patch2

just asking for one review.  It is a pretty minor change, more of a correction of the first change.  But I don't want to be accused of breaking the rules :-)
Comment 4 aaronr 2007-07-02 15:58:38 PDT
checked patch2 into trunk and patches 1 and 2 into 1.8 branch.

Note You need to log in before you can comment on or make changes to this bug.